function [cor, cov, moy] = correl(A)

//  La matrice de corrlations est obtenue en excutant la fonction correlation().

    [cov, moy] = covariance(A);

//  Vecteur contenant l'inverse des carts-types

    ectinv=(1)./sqrt(diag(cov));

//  Matrice des corrlations

    cor = diag(ectinv)*cov*diag(ectinv);

endfunction

//***************************************************************************

//  Cette fonction fait appel  la fonction covariance().

function [cov, moyenne] = covariance(A)

// Vecteur (1,p) des moyennes des colonnes (=variables)

    moyenne = mean(A,"r");

//  Nombre de lignes dans la matrice A = nbre d'individus

    n = size(A,"r")

//  Matrice recentre

    Acent = A - ones(n,1)*moyenne;

//  Matrice de covariance (Remarque: on a divis par n-1 et non par n)

    cov=(Acent'*Acent)/(n-1);

endfunction

