function [nomFic, nuFic, nuErreur] = ficDonnees(nuErreur, os);

//  Choix du fichier des donnees

    fd = unix_g('dir *.dta');
    lg = length(length(fd));
disp(lg,"lg");
//    Si Windows 95, 98 et 2000 supprimer le commentaire de la prochaine ligne
//    if (lg < 8) then
//    Si Windows XP supprimer le commentaire de la prochaine ligne
//    if (lg < 11) then
    if (os < 3) then 
        lgT = 4;
    else 
        lgT = 6;
    end;
    if (lg < lgT) then        
        error('****    Erreur ! Il n''y a pas de fichiers de donnees');
        nuErreur = 1;
        nomFiic = " ";
    end
    
    select os,
        case 1 then
            debF = 45;
        case 2 then
            debF = 40;
        case 3 then
            debF = 37;
        case 4 then
            debF = 40;
        case 5 then
            debF = -1;
    end;
    
    if (debF > 0) then
        for i = lgT:lg-2
            cc = '';
            for j = debF:length(fd(i))-4
                cc = cc + part(fd(i),j);
            end;
            ficD(i-5) = cc;
        end;
    else
        k = 0;
        nl =  size(fd,1);
         for i = 1:nl
            cc = '';
            for j = 1:length(fd(i))
                a = part(fd(i),j);
                if a == ' ' then
                    if cc <> '' then
                        k = k + 1; fd
                        ficD(k) = cc;
                        cc = '';
                    end;
                else
                    cc = cc + a;
                end;
            end;
        end;
    end;  

    nuFic = x_choose([ficD],..
                    'Cliquer sur un item pour choisir le fichier des donnees');
    if (nuFic > 0) then nF = ficD(nuFic); end;
    disp(nF,"Fichier de travail");
disp(length(nF),"Longueur nom");
    if (debF > 0) then
        nomFic = nF;
    else
        nomFic = '';
        for i = 1:length(nF)-4
            a = part(nF(1),i);
            if a <> '.' then
                nomFic = nomFic + part(nF(1),i);
            end;
//            nomFic = nomFic + part(nF(1),i);
        end;
    end;   
    disp(nomFic,"Fichier de travail");

endfunction      

//==============================================================================

function [tableau, lblObs, lblVar, nObs, nVar, nLblObs, titre, flagLangue] = lecDonnees(nomFic);

// Lecture des donnees

    nomFicPrm = nomFic+'.lbl';
    nomFic = nomFic+'.dta';
    ObsAux = ['0000'];

//  Lecture du fichier des etiquettes *.lbl

    [tmp] = read(nomFicPrm,-1,1,'(a)');
    titre = tmp(1);
    nObs = '';
    for i = 1:5
        nObs = nObs+part(tmp(2),i);
    end;
    nVar = '';
    for i = 6:10
        nVar = nVar+part(tmp(2),i);
    end;
    nObs = evstr(nObs);
    nVar = evstr(nVar);
    flg = part(tmp(2),15);
    flagLangue = evstr(flg);

//  Prise en compte des variables du probl\`eme

    ligne = 3;
    nLblVar = '';
    for i = 1:5
        nLblVar = nLblVar+part(tmp(ligne),i);
    end;
    nLblVar = evstr(nLblVar);
    ligne = ligne + 1;
    k = 0;
    l = 0;
    for tt = 1:nLblVar
        k = k + 1;
        lblV(tt) = '';
        for j = 1:4
            l = l + 1;
            lblV(tt) = lblV(tt) + part(tmp(ligne),l);
        end;
        if (k == 10) then
            k = 0;
            ligne = ligne + 1;
            l = 0;
        end;
    end;

//  Prise en compte des observations du probl\`eme

    if (k <> 0) then ligne = ligne + 1; end;
    nLblObs = '';
    for i = 1:5
        nLblObs = nLblObs+part(tmp(ligne),i);
    end;
    nLblObs = evstr(nLblObs);
    ligne = ligne + 1;
    if (nLblObs > 0) then
        k = 0;
        l = 0;
        for i = 1:nLblObs
            k = k + 1;
            lblO(i) = '';
            for j = 1:4
                l = l + 1;
                lblO(i) = lblO(i) + part(tmp(ligne),l);
            end;
            if (k == 10) then
                k = 0;
                ligne = ligne + 1;
                l = 0;
            end;
        end;
        if (k <> 0) then ligne = ligne + 1; end;
        nObs = nLblObs;
    end;
    if (nLblObs == 0) then
        for i = 1:nObs
            lblO(i) = string(i);
        end;
        nLblObs = nObs;
    end;
    [tableau] = zeros(nObs,nVar+2);
    [tableau] = read(nomFic, nObs, nVar+2);

//  Choix des donnees \`a utiliser

//  1 Choix des observations \`a utiliser

    co = zeros(nObs,1);
     for i = 1:nObs
        cO(i) = lblO(i);
     end;

    ObsOrig = sci2exp(lblO);
//     messagebox(['Choix des observations a utiliser pour l''analyse ';
//               '================================================';
//               '  ';
//               'En utilisant le prochain ecran, veuillez eliminer ';
//               'les observations que vous ne souhaitez pas garder.';
//               'Pour continuer, appuyer sur une touche']);
//    halt('Appuyer sur une touche');
    ks = 0;
    kb = 0;
    for i = 1:nObs
        ks = ks + 1;
        ObsO(ks) = lblO(i);
        if (ks == 200) then
            ks = 0;
            lg = length(length(Obs));
            for j = 1:lg
                kb = kb + 1;
                nuObs(kb) = Obs(j);
            end;
            ObsO = [];
            Obs = [];
        end;
    end;
    if (ks > 0) then
        Obs = ObsAux;
        Obs = x_dialog(['Eliminer les numeros des observations';...
                        'que vous n''utiliserez pas pour votre analyse'],...
                         ObsO');
        lg = length(length(Obs));
        for j = 1:lg
            kb = kb + 1;
            nuObs(kb) = Obs(j);
        end;
    end;

    ObsOrig = lblO;

    for i = 1:kb
        if (nuObs(i) <> cO(i)) then
            for j = 1:nObs
                if(nuObs(i) == cO(j)) then k = j; end;
            end;
            tableau(i,:) = tableau(k,:);
            lblO(i) = lblO(k);
        end;
    end;
    nObs = kb;

//  2 Choix des variables \`a utiliser

    for i = 1:nVar
        cV(i) = lblV(i);
     end;
    VarOrig = sci2exp(cV);
//     messagebox(['Choix des variables a utiliser pour l''analyse ';
//               '==============================================';
//               '  ';
//               'En utilisant le prochain ecran, veuillez eliminer ';
//               'les variables que vous ne souhaitez pas garder.';
//               'Pour continuer, appuyer sur une touche']);
//    halt('Appuyer sur une touche');


    Var = x_dialog(['Eliminer les etiquettes des variables ';...
           'que vous n''utiliserez pas pour votre analyse'],...
            VarOrig);
    nuVar = evstr(Var);
    col = length(length(nuVar));

    for i = 1:col
        if (nuVar(i) <> cV(i)) then
            for j = 1:nVar
                if(nuVar(i) == cV(j)) then k = j; end;
            end;
            tableau(:,i+2) = tableau(:,k+2);
            lblV(i) = lblV(k);
        end;
    end;
    nVar = col;

    for i = 1:nObs
        lblObs(i) = lblO(i);
    end;
    for i = 1:nVar
        lblVar(i) = lblV(i);
  end;
  
endfunction      
  
