function[nuEcran] = plotAdd(Y,Z,clas,lblVar,lblObs,lblValProp,lblInfo,nObs,nVar,nCl,nuEcran,lstPs,methode,flagLangue,titre);

//  Choix des axes \`a utiliser pour les graphiques

    for i = 1:nVar
        tt(i) = '    '+lblVar(i)+'....  '+lblValProp(i)+'....       '+lblInfo(i);
    end;
    nVr = nVar;
    if (methode == 3) then nVr = nVar - 1; end;
    nbVar = string(nVr);
    Var = x_dialog(['Nombre de variables que voulez garder ';...
           'pour faire l''analyse \`a l''aide des graphiques';
           '   ';
           '  Var  Val prop   Part d''info';
           tt],...
            nbVar);
    nVarGr = evstr(Var);
 
//  Creation des graphiques

    select methode,
        case 1 then
               ttMetho = 'REGRES';
        case 2 then
               ttMetho = 'ACP';
               if (flagLangue == 1) then ttMetho = 'AKS';  end;
        case 3 then
               ttMetho = 'AFC';
               if (flagLangue == 1) then ttMetho = 'APA';  end;
        case 4 then
               ttMetho = 'AFD';
               if (nVarGr == 1) then nVarGr = 2; end;
        else
        disp('Methode non implementee pour l''instant');
    end;

    flagType = 1;
    if (nCl > 1) & (methode  > 2) then flagType = 0; end;
    x2 = [0,0];
    y1 = [0,0];
    z2 = [0,0];
    for i = 1:nVarGr
        Ymin(i) = min(Y(:,i))-0.1*abs(min(Y(:,i)));
        Ymax(i) = max(Y(:,i))+0.1*abs(max(Y(:,i)));
        Zmin(i) = min(Z(:,i))-0.1*abs(min(Z(:,i)));
        Zmax(i) = max(Z(:,i))+0.1*abs(max(Z(:,i)));
    end;

//    set("old_style", "on");

    ng = length(Y(:,1))+1;
    for i = 1:nVarGr-1
        xp = Y(:,i);
        xp(ng) = 0;
        zp = Z(:,i);
        zp(ng) = 0;
        x1 = [Ymin(i),Ymax(i)];
        z1 = [Zmin(i),Zmax(i)];

        for j = i+1:nVarGr

//  Graphique des variables avec le cercle de correlation

            if (methode == 2) then
                nuEcran = nuEcran + 1;
                clf(nuEcran);
                xset("window",nuEcran);
//                if (flagLangue == 0) then xset("font size",3); end;
//                if (flagLangue == 0) then xset("font",4,3); end;
//                if (flagLangue == 1) then xset("font",4,3);  end;    
//                xset("font",4,1); 
                yp = Z(:,j);
                yp(ng) = 0;
                plot2d(zp, yp,[0, 0],"012"," ",[-1.3, -1.3, 1.3, 1.3]);
                for k=1:nVar
                    xstring(zp(k), yp(k), [lblVar(k)]);
                end;
                xstring(zp(ng), yp(ng),'\ae');
                y2 = [min(yp),max(yp)];
                alls=[-0.9,1.3,1.8,2.6,0,64*360];
                xarcs(alls',[5]);
                z1 =[-1.3,1.3];
                y2=[-1.3,1.3];
                xsegs(z1',y1');
                xsegs(z2',y2');
                tt =  ttMetho+' : '+titre+' -- Axes '+string(i)+'  et  '+string(j)+'    '+...
                     '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
                if (flagLangue == 1) then
                    tt =  ttMetho+' : '+titre+' -- AXONES '+string(i)+'  kai  '+string(j)+'    '+...
                         '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
                end;
                xtitle(tt);
//                xbasimp(nuEcran,lstPs);
            end;

//  Graphique des variables

            nuEcran = nuEcran + 1;
            clf(nuEcran);
            xset("window",nuEcran);
//            if (flagLangue == 0) then xset("font size",3); end;
//            if (flagLangue == 0) then xset("font",4,3); end;
//            if (flagLangue == 1) then xset("font",4,3);  end;
//            xset("font",4,1); 
            yp = Z(:,j);
            yp(ng) = 0;
            z12 = [Zmin(j),Zmax(j)];
            plot2d(zp, yp,[0, 0],"012",' ',[z1(1),z12(1),z1(2),z12(2)]);
//            plot2d(zp, yp,[-1, -1],"022");
            for k=1:nVar
                xstring(zp(k), yp(k), [lblVar(k)]);
            end;
            xstring(zp(ng), yp(ng),'\ae');
            y2 = [min(yp),max(yp)];
            xsegs(z1',y1');
            xsegs(z2',y2');
            tt =  ttMetho+' : '+titre+' -- Axes '+string(i)+'  et  '+string(j)+'    '+...
               '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
            if (flagLangue == 1) then
                tt =  ttMetho+' : '+titre+' -- AXONES '+string(i)+'  kai  '+string(j)+'    '+...
                     '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
            end;
            xtitle(tt);
//            xbasimp(nuEcran,lstPs);


//  Graphique des observations

            nuEcran = nuEcran + 1;
            clf(nuEcran);
            xset("window",nuEcran);
//            if (flagLangue == 0) then xset("font size",1); end;
//            if (flagLangue == 0) then xset("font",4,3); end;
//            if (flagLangue == 1) then xset("font",4,3);  end;
//            xset("font",4,1); 
            yp = Y(:,j);
            yp(ng) = 0;
            x12 = [Ymin(j),Ymax(j)];
            plot2d(xp, yp,[0, 0],"012",' ',[x1(1),x12(1),x1(2),x12(2)]);
//            plot2d(xp, yp,[-1, -1],"022");
            for k=1:nObs
                xstring(xp(k), yp(k), [lblObs(k)]);
            end;
            xstring(xp(ng), yp(ng),'\ae');
            y2 = [min(yp),max(yp)];
            xsegs(x1',y1');
            xsegs(x2',y2');
            tt =  ttMetho+' : '+titre+' -- Axes '+string(i)+'  et  '+string(j)+'    '+...
               '('+ lblInfo(i)+', '+ lblInfo(j)+')';
            if (flagLangue == 1) then
                tt =  ttMetho+' : '+titre+' -- AXONES '+string(i)+'  kai  '+string(j)+'    '+...
                     '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
            end;
            xtitle(tt);
//          xbasimp(nuEcran,lstPs);

//  Graphique des observations avec le numero de la classe

            if (flagType == 0) then
                nuEcran = nuEcran + 1;
                clf(nuEcran);
                xset("window",nuEcran);
//                xset("font",4,1);
                plot2d(xp, yp,[0, 0],"012",' ',[x1(1),x12(1),x1(2),x12(2)]);
//                plot2d(xp, yp,[-1, -1],"022");
                for k=1:nObs
                    clp = string(clas(k));
                    xstring(xp(k), yp(k), [clp]);
                end;
                xstring(xp(ng), yp(ng),'\ae');
                xsegs(x1',y1');
                xsegs(x2',y2');
                tt =  ttMetho+' : '+titre+' -- Axes '+string(i)+'  et  '+string(j)+'    '+...
                     '('+ lblInfo(i)+', '+ lblInfo(j)+')';
                if (flagLangue == 1) then
                    tt =  ttMetho+' : '+titre+' -- AXONES '+string(i)+'  kai  '+string(j)+'    '+...
                         '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
                end;
                xtitle(tt);
//                xbasimp(nuEcran,lstPs);
            end;

//  Graphique des variables et des observations si AFC

            if (methode == 3) then
                nuEcran = nuEcran + 1;
                clf(nuEcran);
                xset("window",nuEcran);
//                xset("font",4,1);
                xset("color",5)
//                if (flagLangue == 0) then xset("font size",1); end;
//                if (flagLangue == 1) then xset("font",1,1);  end;
                yp = Z(:,j);
                yp(ng) = 0;
                wOMin = min(z1(1),x1(1));
                wVMin = min(z12(1),x12(1));
                wOMax = max(z1(2),x1(2));
                wVMax = max(z12(2),x12(2));
                plot2d(zp, yp,[0, 0],"012",' ',[wOMin,wVMin,wOMax,wVMax]);
//                plot2d(zp, yp,[-1, -1],"022");
                for k=1:nVar
                    xstring(zp(k), yp(k), [lblVar(k)]);
                end;
                y2 = [min(yp),max(yp)];
                yp = Y(:,j);
                yp(ng) = 0;
//                plot2d(xp, yp,[-4, -4],"012",' ',[x1(1),x12(1),x1(2),x12(2)]);
//                plot2d(xp, yp,[-1, -1],"022");
                xset("color",4)
                for k=1:nObs
                    xstring(xp(k), yp(k), [lblObs(k)]);
                end;
                y22 = [min(yp),max(yp)];
                x0 = [min(z1(1),x1(1)),max(z1(2),x1(2))];
                z0 = [min(y2(1),y22(1)),max(y2(2),y22(2))];
                xsegs(x0',y1');
                xsegs(x2',z0');
                tt =  ttMetho+' : '+titre+' -- Axes '+string(i)+'  et  '+string(j)+'    '+...
                      '('+ lblInfo(i)+', '+ lblInfo(j)+')';
                if (flagLangue == 1) then
                    tt =  ttMetho+' : '+titre+' -- AXONES '+string(i)+'  kai  '+string(j)+'    '+...
                         '('+ lblInfo(i)+' , '+ lblInfo(j)+')';
                end;
                xtitle(tt);
//                xbasimp(nuEcran,lstPs);
            end;
        end;
  end;
  
endfunction      
  
